# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(Plack/Test.pm) perl(Pod/Coverage.pm) perl(Test/CheckManifest.pm) perl(Test/More.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-Github-Webhook
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Check Github Webhook secret
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DS/DSONNTAG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin can be used to verify if routes that are used as Github webhook payload URL 
use the correct secret.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/D*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

